# $Id$
# Authority: dries
# Upstream: Steve Grubb <scg$jax,org>

%{?dtag: %{expand: %%define %dtag 1}}

%{?el4:%define _without_modxorg 1}
%{?el3:%define _without_modxorg 1}
%{?el2:%define _without_modxorg 1}
%{?fc4:%define _without_modxorg 1}
%{?fc3:%define _without_modxorg 1}
%{?fc2:%define _without_modxorg 1}
%{?fc1:%define _without_modxorg 1}

%define real_version 242

Summary: Command line utility for creating charts and plots
Name: ploticus
Version: 2.42
Release: 3%{?dist}
License: GPL
Group: Applications/Publishing
URL: http://ploticus.sourceforge.net/

Source: http://sourceforge.net/projects/ploticus/files/ploticus/%{version}/ploticus%{real_version}_src.tar.gz
#Patch0: http://ploticus.sourceforge.net/download/init.c
Patch0: ploticus-init.patch
#Patch1: http://ploticus.sourceforge.net/download/execline.c.gz
Patch1: ploticus-execline.patch
Patch2: ploticus-makefile.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: libpng-devel, zlib-devel libjpeg-devel freetype-devel gd-devel
%{?_without_modxorg:BuildRequires: XFree86-devel}
%{!?_without_modxorg:BuildRequires: libXext-devel}

%description
PLOTICUS is a command line utility for creating bar, line, pie, boxplot,
scatterplot, sweep, heatmap, vector, timeline, Venn diagrams, and other
types of charts and plots. ploticus is good for automated or just-in-time
graph generation. It handles date, time, and categorical data nicely, and
has some basic statistical capabilities. It can output to GIF, PNG, SVG,
SWF, JPEG, PostScript, EPS, and X11. You can use convenient preset options
or create complex scripts with rich and detailed color and style operations.

# tohle musi byt, jinak chyba "Empty %files file /home/hanzlik/rpmbuild/BUILD/ploticus242/debugsourcefiles.list":
%global debug_package %{nil}

%prep
%setup -n ploticus%{real_version}
%patch0 -p0
%patch1 -p0
%patch2 -p0

%{__perl} -pi.orig -e 's|/lib\b|/%{_lib}|g' src/Makefile

%build
%{__make} -C src %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__install} -d -m0755 %{buildroot}%{_bindir} %{buildroot}%{_datadir}/ploticus/pltestsuite/
%{__make} install -C src INSTALLBIN=%{buildroot}%{_bindir} DESTDIR="%{buildroot}"
%{__install} -D prefabs/* %{buildroot}%{_datadir}/ploticus
%{__install} -D pltestsuite/* %{buildroot}%{_datadir}/ploticus/pltestsuite

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc src/README
%{_bindir}/pl
%{_datadir}/ploticus/

%changelog
* Sun Aug 03 2014 Franta Hanzlik <franta@hanzlici.cz> - 2.42
- update to 2.42

* Mon Jun 15 2009 Franta Hanzlik <franta@hanzlici.cz> - 2.41-2
- build with libjpeg, gd and freetype

* Thu Mar 12 2009 Dries Verachtert <dries@ulyssis.org> - 2.41-1
- Updated to release 2.41.

* Sat Aug 12 2006 Dries Verachtert <dries@ulyssis.org> - 2.33-1
- Updated to release 2.33.

* Sat Apr 15 2006 Dag Wieers <dag@wieers.com> - 2.32-2
- Added x86_64 patch and included pltestsuite (Phil Schaffner)

* Sat Apr 08 2006 Dries Verachtert <dries@ulyssis.org> - 2.32-1.2
- Rebuild for Fedora Core 5.

* Fri Oct 14 2005 Dries Verachtert <dries@ulyssis.org> - 2.32-2
- xorg/XFree86 buildreqs added.

* Wed Aug 31 2005 Dries Verachtert <dries@ulyssis.org> - 2.32-1
- Initial package.
